import { render } from '@testing-library/react'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import NewsletterReminder from './NewsletterReminder'

describe('NewsletterReminder', () => {
  const store = createMockEcolyoStore()

  it('renders component correctly and have correct snapshot', async () => {
    const { container } = render(
      <Provider store={store}>
        <NewsletterReminder />
      </Provider>
    )
    expect(container).toMatchSnapshot()
  })
})
